IKEv1 á móti IKEv2 með fyrirfram deildum lykli: hvað greinir auðkenninguna
Báðar útgáfurnar sanna þekkingu á fyrirfram deildum lykli án þess að senda hann, en setja ólík inntök í ólík hash. Berið saman tvö sporin.
Tvö gáttir stilltar með sama fyrirfram deilda lykli ljúka handabandi, og pakkanám sýnir enga leynd sem fer yfir línuna. Það er hlutinn sem fólk man. Áhugaverði hlutinn er hvað hver útgáfa reiknar í raun til að sanna að leyndin sé þekkt, því IKEv1 og IKEv2 byggja þá sönnun úr ólíkum inntökum og afhjúpa ólíkar upplýsingar á meðan. Lesið sporin tvö hlið við hlið og munurinn hættir að vera á yfirborðinu.
Hvað sönnunin þarf að ná
Diffie-Hellman gefur báðum aðilum sameiginlegt gildi sem hver sá sem fylgist með getur líka reiknað opinberu helmingana úr. Eitt sér sannar það ekkert um auðkenni: árásarmaður sem lýkur lyklaskiptum hefur sama sameiginlega gildi og gáttin þín. Auðkenningarþrepið er til að binda þau skipti við leynd sem aðeins fyrirhugaðir aðilar hafa, og við auðkennin og færibreyturnar sem þeir sömdu um.
Þessi binding er ástæðan fyrir því að hash-ið nær yfir meira en lykilinn. Ef það næði aðeins yfir leyndina gæti árásarmaður endurspilað það í önnur skipti með öðrum auðkennum eða tillögum.
IKEv1 Main Mode: leiðið út SKEYID og sannið svo
Main Mode keyrir sex skilaboð. Fyrsta parið semur um öryggissamtenginguna, annað skiptir á opinberum Diffie-Hellman gildum og nonce, og þriðja ber auðkenni auk auðkenningarhasha undir dulrituninni sem var rétt að koma á. RFC 2409 skilgreinir smíðina: með auðkenningu fyrirfram deilds lykils er SKEYID leitt út frá leyndinni og báðum nonce, og síðara lyklaefnið frá SKEYID, sameiginlegu Diffie-Hellman gildi, kökunum og fastarnir.
Hash-ið í fimmta og sjötta skilaboðum er reiknað yfir Diffie-Hellman gildið, tvær kökur, tillöguna og auðkenni sendandans, með SKEYID sem lykil. Viðtakandinn reiknar það aftur með sinni stilltu leynd. Ósamræmi endar skiptin og leyndin sjálf er aldrei farmur.
Aggressive Mode þjappar sama verki í þrjú skilaboð, sem þýðir að auðkenni og auðkenningarhash ferðast áður en dulkóðuð rás er til. Það er raunveruleg útsetning fyrir leynd sem hægt er að giska á, og það er aðskilið frá spurningunni hvort leyndin var send. IKEv1 er úreld samkvæmt RFC 9395, svo gamalt spor er greiningaræfing en ekki markmið uppsetningar.
IKEv2: önnur útleiðsla og annar AUTH farmur
IKEv2 notar ekki lyklaáætlun IKEv1 aftur. Fyrstu IKE-lyklarnir koma úr fræi sem byggt er úr nonce og sameiginlegu Diffie-Hellman gildi, og barnsöryggissamtengingarnar leiða af því. Fyrirfram deildi lykillinn fæðir fræið alls ekki.
Auðkenningin birtist þá sem AUTH farmur. Fyrir auðkenningu með sameiginlegum lykli tilgreinir RFC 7296 fyllta mynd af leyndinni, fengna með því að hasha leyndina með fasta strengnum Key Pad for IKEv2, og hasha svo undirrituðu skiptigögnunum og auðkenninu með þeim fyllta lykli. Sannprófandinn getur endurbyggt sama gildi; áhorfandi getur það ekki, án leyndarinnar.
Takið eftir hvað breyttist. Í IKEv1 er leyndinni bakað inn í lyklaáætlunina áður en auðkenningarhash-ið er til; í IKEv2 er lyklaáætlunin óháð leyndinni og sönnunin sérstakur farmur bundinn við undirrituðu oktettana. Sama hugmyndalega trygging, önnur vél, og þess vegna kortleggjast færibreytunöfn og nám ekki einn á móti einum.
Hvað áhorfandi lærir í raun
Opinber Diffie-Hellman gildi, tillögur, nonce og kökur eru sýnileg í báðum útgáfum. Auðkenni eru sýnileg í IKEv1 Aggressive Mode og varin í hinum tilfellunum. Leyndin er aldrei sýnileg.
Síðasta setningin hefur takmörk sem vert er að nefna. Veik leynd, valin af manni, er hægt að ráðast á með giskun: árásarmaðurinn reiknar hvað auðkenningargildið yrði fyrir hugsanlega leynd og ber saman. IKEv1 Aggressive Mode gerir þetta ódýrast því sönnunin er í opnum texta, og staðlarnir vara almennt við leynd með litla óreiðu. Að senda leyndina aldrei er ekki það sama og að gera slæma leynd örugga.
Hvað á að gera við samanburðinn
Notið eina einstaka leynd fyrir hvert aðilapar, búið hana til úr slembiuppsprettu og snúið henni í gegnum sömu útvegunarleið og dreifði henni. Ef leyndin er geymd í stillingu sem fer til hverrar útibúar er áföll á einum stað áföll alls staðar.
Veljið auðkenningu byggða á skírteinum þar sem rekstrarkostnaður er ásættanlegur, því hún fjarlægir giskvandann með sameiginlegu leyndinni og gefur hverjum aðila sérstakt auðkenni. Þar sem fyrirfram deildur lykill verður eftir, hafið hann langan, afmarkið umfang hans og lítið á IKE-útgáfuna sem öryggisákvörðun, ekki smáatriði í samvirkni.